    ttyrecv(1)                                   Qualcomm Atheros Open Powerline Toolkit                                  ttyrecv(1)

    NAME
           ttyrecv - Serial Line Rate Tester (Receive)

    SYNOPSIS
           ttyrecv [options] [>stdout]

    DESCRIPTION
           Receive data from a serial device.  The primary purpose of this program is to receive data over a serial port for a spec‐
           ified time duration.

           The ttyrecv program exits after the receive time (see -t) has elapsed.

           This program is part of the Qualcomm Atheros Powerline Toolkit.  See the AMP man page for an  overview  and  installation
           instructions.

    COMMENTS
           This program does not yet support Windows platforms.

    OPTIONS
           -c     Consume all data received (do not print to standard output).

           -l file
                  The serial port file to read data from.  The default is /dev/ttyS0.

           -r     Print the receive rate to standard output after the receive time has elapsed.

           -s speed
                  The  serial  baud rate.  Supported baud rates are 0, 50, 75, 110, 134, 150, 200, 300, 600, 1200, 1800, 2400, 4800,
                  9600, 19200, 38400, 57600, 115200, 230400, 460800, 500000 and 921600.

           -t time
                  Receive for time seconds.  The default is 10 seconds.

           -?,--help
                  Print program help summary on stdout.  This option takes precedence over other options on the command line.

           -?,--version
                  Print program version information on stdout.  This option takes precedence over other options on the command line.
                  Use  this option when sending screen dumps to Atheros Technical Support so that they know exactly which version of
                  the Linux Toolkit you are using.

    EXAMPLES
           None.

    SEE ALSO
           amp(1), int6kuart(1), ttysend(1),

    CREDITS
            Charles Maier <cmaier@qca.qualcomm.com>
            Nathaniel Houghton <nhoughto@qca.qualcomm.com>

    open-plc-utils-0.0.3                                        Mar 2014                                                  ttyrecv(1)

[PREV] [HOME] [NEXT]